Skip to main content

sui_verifyZkLoginSignature

POST

Verify a zklogin signature for the given bytes, intent scope and author.
param[0]
bytesstringrequired
The Base64 string of bcs bytes for raw transaction data or personal message indicated by intent_scope.
param[1]
signaturestringrequired
The Base64 string of the zklogin signature to verify.
param[2]
intentScopestringrequired
The intent scope, either transaction data or personal message. Used to parse bytes.
param[3]
authorstringrequired
The author of the signature.
Responses
jsonrpcstring
idinteger
errorsarrayrequired
The errors field captures any verification error
successbooleanrequired
The boolean result of the verification. If true, errors should be empty.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "sui_verifyZkLoginSignature",
"params": [
null,
null,
null,
null
]
}'